%define major 4
%define libname %mklibname burn %{major}
%define develname %mklibname burn -d

Summary:	Library for reading, mastering and writing optical discs
Name:		libburn
Version:	0.6.2
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		http://libburnia-project.org/
Source0:	http://files.libburnia-project.org/releases/%{name}-%{version}.pl00.tar.gz
BuildRequires:	doxygen
BuildRequires:	graphviz
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Libburn is an open-source library for reading, mastering and writing
optical discs.

%package -n %{libname}
Group:		System/Libraries
Summary:	An open-source library for optical discs

%description -n %{libname}
An open-source library for reading, mastering and writing optical discs.

%package -n %{develname}
Summary:	Header files for development with %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}burn6-devel

%description -n %{develname}
This package includes the header files for the %{name} package.

%package -n cdrskin
Summary:	Limited cdrecord compatibility wrapper for libburn
Group:		Archiving/Cd burning

%description -n cdrskin
A limited cdrecord compatibility wrapper which allows to use some
libburn features from the command line.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# build documentation
pushd doc
doxygen -u doxygen.conf
doxygen doxygen.conf
popd

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libburn.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README AUTHORS COPYRIGHT
%{_libdir}/libburn.so
%{_libdir}/libburn.la
%{_libdir}/libburn.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

%files -n cdrskin
%defattr(-,root,root)
%doc cdrskin/README
%{_bindir}/cdrskin
%{_mandir}/man1/cdrskin.1.*


%changelog
* Sat Feb 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 343629
- update to new version 0.6.2

* Tue Jan 13 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 328813
- fix doxygen call
- update to new version 0.6.0

* Mon Dec 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.8-1mdv2009.1
+ Revision: 311922
- update to new version 0.5.8

* Fri Nov 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.6-1mdv2009.1
+ Revision: 307473
- update to new version 0.5.6
- fix urls
- spec file clean

* Tue Oct 14 2008 Funda Wang <fundawang@mandriva.org> 0.5.4-1mdv2009.1
+ Revision: 293511
- New version 0.5.4
- no need to provide libburn-5 now

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.6-2mdv2009.0
+ Revision: 267804
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 13 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.6-1mdv2009.0
+ Revision: 206525
- new release 0.4.6

* Thu Apr 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.4-1mdv2009.0
+ Revision: 195306
- symlink libburn-1.pc to libburn-5.pc (brasero expects the latter)
- new release 0.4.4

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.2-1mdv2008.1
+ Revision: 176471
- new release 0.4.2

* Tue Jan 15 2008 Adam Williamson <awilliamson@mandriva.org> 0.4.0-1mdv2008.1
+ Revision: 152997
- move docs out of lib package
- spec clean
- new license policy
- new release 0.4.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 31 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.8-1mdv2008.0
+ Revision: 57132
- new release 0.3.8

* Sun Jul 01 2007 Adam Williamson <awilliamson@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 46846
- new release 0.3.6, new devel policy


* Mon Jan 15 2007 Michael Scherer <misc@mandriva.org> 0.2.6.3-1mdv2007.0
+ Revision: 109039
- update to 0.2.6.3, thanks to Mario Danic patch
- Import libburn

